Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class SignatureElementProxy

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy

Direct Known Subclasses:
  Algorithm, DSAKeyValue, KeyInfo, KeyName, KeyValue, Manifest, MgmtData, ObjectContainer, PGPData, Reference, RetrievalMethod, RSAKeyValue, SignatureProperties, SignatureProperty, SPKIData, Transform, Transforms, X509Data, XMLSignature, XMLX509Certificate, XMLX509CRL, XMLX509IssuerSerial, XMLX509SKI, XMLX509SubjectName, XPathContainer

    public abstract class SignatureElementProxy

extends ElementProxy

Class SignatureElementProxy

Author:
  $Author: coheigea $

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`protected` | `SignatureElementProxy()`
`` | `SignatureElementProxy(org.w3c.dom.Document doc)` Constructor SignatureElementProxy
`` | `SignatureElementProxy(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor SignatureElementProxy

Method Summary
`java.lang.String` | `getBaseNamespace()` Returns the namespace of the Elements of the sub-class.

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseLocalName, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureElementProxy

    protected SignatureElementProxy()

### SignatureElementProxy

    public SignatureElementProxy(org.w3c.dom.Document doc)

  Constructor SignatureElementProxy

  Parameters:
    `doc` -

### SignatureElementProxy

    public SignatureElementProxy(org.w3c.dom.Element element,
                                 java.lang.String BaseURI)
                          throws XMLSecurityException

  Constructor SignatureElementProxy

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

Method Detail

### getBaseNamespace

    public java.lang.String getBaseNamespace()

  Description copied from class: `ElementProxy`
  Returns the namespace of the Elements of the sub-class.

  Specified by:
    `getBaseNamespace` in class `ElementProxy`
  Returns:
    the namespace of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD